@import url('https://fonts.googleapis.com/css2?family=Kdam+Thmor+Pro&display=swap');

:root {
    --blue: #0100C8;
    --grey: #c0c0c0;
    --light-grey:#D9D9D9;
    --header-color: rgba(142, 189, 222, 0.90);
    --header-popup-color: var(--blue);
    --header-popup-text-color: white;

}

html {
    font-size: 16px;
}

body {
    position: relative;
    margin: 0;
    padding: 0;
    overflow: auto;
    background-image: url("assets/wallpaper.png");
    font-family: "Kdam Thmor Pro";
    font-weight: normal;
    background-repeat: no-repeat;
    background-size: cover;
}

header a:visited {
    color: white;
}

#left {
    width: 60%;
}

#titre {
    width: 550px;
    font-family: "Kdam Thmor Pro";
    font-size: 6rem;
    font-weight: normal;
}

#title-container {
    color: rgb(241, 250, 255);
    text-shadow: 0px 0px 5px #001D52, -5px -5px 5px #001D52, 5px -5px 5px #001D52;
    text-align: center;
    font-size: 2.5rem;
    font-weight: 200;
    text-align: center;
}

.container {
    position: relative;
    height: max-content;
    margin: 12px 0 32px;
}

#submit-popup {
    width: 100%;
    text-align: center;
    margin: 0 auto;
}

.popup p {
    padding: 18px;
}

button {
    width: 35px;
}

.prize {
    color: #010179;
    text-decoration: underline wavy #010179 2px;
}

.important {
    color: #00004b;
}

#steps {
    display: flex;
    justify-content: space-around;
}

#steps .popup {
    max-width: 30%;
}

.popup.main-popup {
    max-width: unset;
    width: calc(100% - 132px);
    height: fit-content;
    margin: 64px auto;
}

.main p , .main h2{
    /* margin: 18px; */
    min-width: calc(100% - 36px);
}

.main p {
    background-color: var(--light-grey);
}

.main {
    padding: 18px;
}

.sticker {
    position: absolute;
    max-width: 20%;
}

#boborpheus {
    top: -40px;
    left: 30%;
    z-index: -1;
    transform: translate(-50%);
    width: 160px;
}

#anxious {
    right: 27%;
    bottom: -10px;
    width: 120px;

}

#globe {
    right: 20px;
    top: -60px;
    width: 140px;
}

#gram {
    left: 40;
    top: 30%;
    width: 150px;
    z-index: -1;
    transform: rotate(-40deg);
}

#bubbles {
    right: 20px;
    bottom: 25%;
    z-index: -1;
}

#clouds{
    position: absolute;
    z-index: -1;
    bottom: 0;
    width: 100%;
}

/* telephone (≤ 600px) */
@media screen and (max-width: 600px) {
    body {
        background-image: url("assets/wallpaper_phone.png");
        min-width: 100%;
        background-repeat: repeat;
        background-size: 100%;
    }

    #titre {
        width: 80%;
    }
    
    header {
        height: fit-content;
        width: 100%;
        text-align: center;
    }

    p#date {
        padding: 0;
    }

    #date {
        position: static;
        margin-top: 6px;
    }

    .popup {
        margin: auto;
        min-width: 80%;
    }

    #steps {
        flex-direction: column;
    }

    #steps .popup {
        margin: 20px auto;
    }

    .header-popup {
        min-height: fit-content;
    }

    #clouds {
        display: none;
    }

    #title-container p {
        font-size: 1.5rem;
        margin: 0 30px;
    }
}

header {
    display: flex;
    justify-content: space-between;
    position: sticky;
    padding: 10px 16px 10px 0px;
    width: calc(100% - 16px);
    height: 76px;
    overflow-x: hidden;
    top: 0;
    background: var(--header-color);
    font-family: "Kdam Thmor Pro";
    color: #FFF;
    font-size: 20px;
    font-style: normal;
    font-weight: 400;
    line-height: 150%;
    text-decoration-style: solid;
    z-index: 100;
}

header img {
    height: 100%;
    left: 0;
}

a {
    color: var(--blue);
}

img {
    user-select: none;
}

#date {
    position: absolute;
    top: 38px;
    right: 35px;
    padding: 0 18px 18px;
    margin: 0;
}

.popup {
    background-color: var(--grey);
    max-width: fit-content;
    max-height: fit-content;
    max-width: 40%;
}

.popup p {
    width: fit-content;
}

.popup .popup-content {
    height: 100%;
}

.popup h1, .popup h2, .popup p {
    margin: 0 0 16px;
}

.header-popup {
    background-color: var(--blue);
    height: 50px;
    width: 100%;
}

.header-popup h3, .header-popup h2{
    font-weight: normal;
    margin: 0;
    padding: 10px 18px;
    color: var(--header-popup-text-color);
    text-decoration: underline var(--header-popup-text-color) 1px solid;
    text-decoration-skip-ink: auto;
}

.header-popup h3 {
    font-size: 16px;
}

.header-popup h2 {
    font-size: 26px;
}

button {
    margin-bottom: 12px;
    padding: 2px 14px;
    border: 1px solid #000;
    width: fit-content;
    margin: auto;
    color: #000;
    background-color: #D9D9D9;
    font-family: "Kdam Thmor Pro";
    border-radius: 0 8px;
}

button:disabled, button:disabled:hover {
    cursor: not-allowed;
    opacity: 0.80;
}

/* Un peu la flemmme d'avoir une barre de scroll bad moche */
::-webkit-scrollbar, ::-webkit-scrollbar-button, ::-webkit-scrollbar-corner, 
::-webkit-scrollbar-thumb, ::-webkit-scrollbar-track, ::-webkit-scrollbar-track-piece {
    appearance: none;
    width: 0;
}